Skip to main content

Deletes a tenant

DELETE 

https://apis.<domain>/iam/tenants/:id

Deletes a tenant from any resources tagged with it.

Also deletes this tenant from any tenant list in any policy statements. If the resulting tenant list for a given statement is empty, it is deleted. If the resulting policy has no statements, it is also deleted.

Authorization Action:

iam:tenants:delete

Request

Path Parameters

    id stringrequired

    ID of the tenant.

Responses

A successful response.

Schema
    objectobject
    Example: {"name":"My Custom Tenant","id":"custom-tenant"}
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Delete, "https://apis.<domain>/iam/tenants/:id");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>
Parameters
— pathrequired